# Copyright (c) 2022 Copyright holder of the paper Structural Kernel Search via Bayesian Optimization and Symbolical Optimal Transport submitted to NeurIPS 2022 for review.
# All rights reserved.
from typing import Tuple
from bosot.configs.kernels.base_kernel_config import BaseKernelConfig
from bosot.configs.kernels.base_elementary_kernel_config import BaseElementaryKernelConfig


class BasicLinearConfig(BaseElementaryKernelConfig):
    base_variance: float = 1.0
    base_offset: float = 1.0
    add_prior: bool = False
    variance_prior_parameters: Tuple[float, float] = (2.0, 3.0)
    offset_prior_parameters: Tuple[float, float] = (2.0, 3.0)
    name = "BasicLinear"


class LinearWithPriorConfig(BasicLinearConfig):
    add_prior: bool = True
    name = "LinearWithPrior"
